package explo.agent;
import java.util.Random;

public class AddScores implements Combiner{
	public Random r;
	
	public AddScores(){
		r = new Random();
	}
	public AddScores(AddScores cp){
		 r = new Random();
	}
	
	public int aggregate(double[][] pred, int nbActions){
		double bestScore = -1e10;
		boolean [] isBest = {false, false,false, false,false, false};
		int nBest = 0;
		for (int a=0; a<nbActions; a++){
			double score = 0;
			for (int f=0; f<nbFeatures; f++) score += pred[a][f];
			if (score>=bestScore){
				isBest[a]=true;
				if (score>bestScore){
					nBest = 1;
					bestScore = score;
					for(int b=0; b<a; b++) isBest[b]=false;
				}
				else nBest++;
			}
		}
		
		int toPlay = r.nextInt(nbActions);
		int k = r.nextInt(nBest); // we choose the k th champion
		boolean notFound = true;
		for (int a=0; notFound && a<nbActions; a++)
			if (isBest[a] && (k--==0)) {toPlay = a; notFound = false;}
			
		System.out.println("  \\_ " + toPlay);
	    return(toPlay);
	}

	public void updateWeights(int reward, int round){}
}