package explo.agent;

public class Rescale{
	public double vmin=1.5E+308;
	public double vmax=-1.5E+308;
	
	public Rescale(){}
	
	public void addPoint(double x){
	    if (x < vmin) vmin=x;
	    if (x > vmax) vmax=x;
	}
	
	public double normalize(double x){
	    if (vmax > vmin) return((x-vmin)/(vmax-vmin));
	    else return(0.5); // x was constant so far or we have seen just one point
	}
}
